# Trades

## Get Trades

<mark style="color:blue;">`GET`</mark> `https://api.vaultoro.com/v1/private/history/trades`

This endpoint allows you to fetch all your trades.

#### Query Parameters

| Name    | Type   | Description                                                                     |
| ------- | ------ | ------------------------------------------------------------------------------- |
| type    | string | Filter by the SELL or BUY trades.                                               |
| orderId | string | Get all the trades associated with an order.                                    |
| limit   | string | Limit the number of results.                                                    |
| since   | number | Unix timestamp to filter results since.                                         |
| pair    | string | Enter the pair to filter by. Currently available: DASHBTC, GOLDBTC or GOLDDASH. |
| page    | number | Filter the results by page.                                                     |
| until   | number | Unix timestamp to filter the results until.                                     |

#### Headers

| Name   | Type   | Description                              |
| ------ | ------ | ---------------------------------------- |
| VTOKEN | string | Your API token to authenticate requests. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "data": [
        {
            "createdAt": 1595427428,
            "fees": {
                "typeHandle": "VOLUME30",
                "value": "-0.01900000"
                "handle": "GOLD",
            },
            "matchType": "LIMIT",
            "orderReferenceId": "dczi1trxkcwatf0x",
            "pair": "GOLDBTC",
            "price": "0.00615450",
            "quantity": "1.0000",
            "referenceId": "1pxn6pkkcxgaq9o",
            "type": "BUY",
            "updatedAt": 1595427428
        }
    ],
    "pagination": {
        "count": 1
    }
}

```

{% endtab %}

{% tab title="404 Could not find any trades matching this query." %}

```
{
    "data": [],
    "pagination": {
        "count": 0
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.vaultoro.com/history/untitled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
